#
# Table structure for table "tx_tkmobiledetector_devices"
#
CREATE TABLE tx_tkmobiledetector_devices (
	uid int(11) NOT NULL auto_increment,
	pid int(11) DEFAULT '0' NOT NULL,
	tstamp int(11) DEFAULT '0' NOT NULL,
	crdate int(11) DEFAULT '0' NOT NULL,
	cruser_id int(11) DEFAULT '0' NOT NULL,
	deleted tinyint(4) DEFAULT '0' NOT NULL,
	hidden tinyint(4) DEFAULT '0' NOT NULL,
	ast tinyint(3) DEFAULT '1' NOT NULL,
	uaprof varchar(255) DEFAULT '' NOT NULL,
	vendor varchar(50) DEFAULT '' NOT NULL,
	model varchar(50) DEFAULT '' NOT NULL,
	screen_width int(11) DEFAULT '0' NOT NULL,
	screen_height int(11) DEFAULT '0' NOT NULL,
	browser_name varchar(100) DEFAULT '' NOT NULL,
	browser_version varchar(10) DEFAULT '' NOT NULL,
	frames tinyint(3) DEFAULT '0' NOT NULL,
	html_tables tinyint(3) DEFAULT '0' NOT NULL,
	java tinyint(3) DEFAULT '0' NOT NULL,
	javascript tinyint(3) DEFAULT '0' NOT NULL,
	html_version varchar(10) DEFAULT '' NOT NULL,
	xhtml_version varchar(10) DEFAULT '' NOT NULL,
	os varchar(30) DEFAULT '' NOT NULL,
	os_version varchar(10) DEFAULT '' NOT NULL,
	os_vendor varchar(30) DEFAULT '' NOT NULL,
	gif tinyint(4) DEFAULT '0' NOT NULL,
	jpg tinyint(4) DEFAULT '0' NOT NULL,
	png tinyint(4) DEFAULT '0' NOT NULL,
	call_str varchar(20) DEFAULT '' NOT NULL,

	PRIMARY KEY (uid),
	UNIQUE KEY `uaprof` (`uaprof`),
	KEY parent (pid)
) ENGINE=MyISAM;
